package es.uv.saic.domain;

import java.io.Serializable;

public class InstanciaGanttDTO implements Serializable  {
	private static final long serialVersionUID = 1L;
	
	private Integer id;
	private String name;
	private String start;
	private String end;
	private Integer progress;
	private String custom_class;
	private String dependencies;
	private String type;
	
	public InstanciaGanttDTO() {}
	
	public InstanciaGanttDTO(Integer id, String name, String start, String end, Integer progress, String custom_class,
			String dependencies, String type) {
		this.id = id;
		this.name = name;
		this.start = start;
		this.end = end;
		this.progress = progress;
		this.custom_class = custom_class;
		this.dependencies = dependencies;
		this.type = type;
	}
	
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getStart() {
		return start;
	}
	public void setStart(String start) {
		this.start = start;
	}
	public String getEnd() {
		return end;
	}
	public void setEnd(String end) {
		this.end = end;
	}
	public Integer getProgress() {
		return progress;
	}
	public void setProgress(Integer progress) {
		this.progress = progress;
	}
	public String getCustom_class() {
		return custom_class;
	}
	public void setCustom_class(String custom_class) {
		this.custom_class = custom_class;
	}
	public String getDependencies() {
		return dependencies;
	}
	public void setDependencies(String dependencies) {
		this.dependencies = dependencies;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	
	

}
